fse.vo

## Class Value

- java.lang.Object
- - fse.vo.Value

-     public class Value
      extends java.lang.Object

  Contiene il valore del metadato di un documento. Per valori codificati si avrà il codice nell'attributo `code` e la descrizione nell'attributo `description`. L'`id` del valore identifica univocamente il valore all'interno di un metadato.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.String` | `code`
    `private java.lang.String` | `description`
    `private java.lang.String` | `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Value()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCode()` Restituisce l'eventuale valore codificato
    `java.lang.String` | `getDescription()` Restituisce la descrizione del valore codificato, o il valore per i dati non codificati
    `java.lang.String` | `getId()` Restituisce l'identificativo del valore
    `void` | `setCode(java.lang.String code)` Imposta il valore codificato.
    `void` | `setDescription(java.lang.String description)` Imposta la descrizione del valore codificato, o il valore per i dati non codificati.
    `void` | `setId(java.lang.String id)` Imposta l'identificativo del valore.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          private java.lang.String id

    - #### code

          private java.lang.String code

    - #### description

          private java.lang.String description

  - ### Constructor Detail

    - #### Value

          public Value()

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

      Restituisce l'identificativo del valore
      Returns:
        l'id del valore

    - #### setId

          public void setId(java.lang.String id)

      Imposta l'identificativo del valore. Parametro obbligatorio.
      Parameters:
        `id` - il nuovo identificativo

    - #### getCode

          public java.lang.String getCode()

      Restituisce l'eventuale valore codificato
      Returns:
        il valore codificato

    - #### setCode

          public void setCode(java.lang.String code)

      Imposta il valore codificato. Parametro facoltativo.
      Parameters:
        `code` - il codice

    - #### getDescription

          public java.lang.String getDescription()

      Restituisce la descrizione del valore codificato, o il valore per i dati non codificati
      Returns:
        la descrizione

    - #### setDescription

          public void setDescription(java.lang.String description)

      Imposta la descrizione del valore codificato, o il valore per i dati non codificati. Parametro facoltativo.
      Parameters:
        `description` - la nuova descrizione